FFE: armadaxp enablement

Bug #934451 reported by Michael Casadevall on 2012-02-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
base-installer (Ubuntu)
High
Michael Casadevall
debian-installer (Ubuntu)
High
Michael Casadevall
libdebian-installer (Ubuntu)
High
Michael Casadevall

Bug Description

Due to the delay with landing the armadaxp kernel, building armadaxp images was delayed until past feature freeze. Changes are required to base-installer/libdebian-installer and the d-i package itself to complete enablement.

These changes involve a few lines of code to add armadaxp as a valid subarchitecture, libdebian-installer, and base-installer, as well as a new build config script for armadaxp. As this new code only affects armadaxp, chances of regression are extremely low.

Changed in base-installer (Ubuntu):
importance: Undecided → High
Changed in debian-installer (Ubuntu):
importance: Undecided → High
Changed in libdebian-installer (Ubuntu):
importance: Undecided → High
Changed in base-installer (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
Changed in debian-installer (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
Changed in libdebian-installer (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
Changed in base-installer (Ubuntu):
milestone: none → ubuntu-12.04-beta-1
Changed in debian-installer (Ubuntu):
milestone: none → ubuntu-12.04-beta-1
Changed in libdebian-installer (Ubuntu):
milestone: none → ubuntu-12.04-beta-1
Steve Langasek (vorlon) wrote :

this looks like a no-brainer to me, please go ahead.

Changed in libdebian-installer (Ubuntu):
status: New → Confirmed
Changed in debian-installer (Ubuntu):
status: New → Confirmed
Changed in base-installer (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-installer - 1.122ubuntu4

---------------
base-installer (1.122ubuntu4) precise; urgency=low

  * Add armadaxp to base-installer (LP: #934451)
 -- Michael Casadevall <email address hidden> Fri, 17 Feb 2012 11:49:03 -0800

Changed in base-installer (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdebian-installer - 0.79ubuntu2

---------------
libdebian-installer (0.79ubuntu2) precise; urgency=low

  * Add support for ArmadaXP (LP: #934451)
 -- Michael Casadevall <email address hidden> Wed, 22 Feb 2012 20:41:10 -0800

Changed in libdebian-installer (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu112

---------------
debian-installer (20101020ubuntu112) precise; urgency=low

  * Added armadaxp images (LP: #934451)
 -- Michael Casadevall <email address hidden> Wed, 22 Feb 2012 23:38:35 -0800

Changed in debian-installer (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers